Subject: bug#39293: [PATCH] Base bookmark-bmenu-mode on 'tabulated-list-mode'

From: Drew Adams <[email-masked]>
Date: Tue, 13 Oct 2020 08:36:17 -0700 (PDT)

> > Makes sense to me.  There was an objection about packages that
> > extend bookmark.el would no longer work...  but I don't think that's an
> > objection we have to heed.  As far as I can see, the public interface
> > isn't changed (i.e., the commands are still the same), which is the only
> > this we try to keep compatible.
> 
> The patch no longer applied, so I tried to respin it for the current
> emacs, but this leads to three test failures:
...
> Stefan, could you take a look at this, and then we can get it onto the
> trunk?

I repeat that this is yet another step backward for Emacs.

And a push to separate Bookmark+ from being an extension
of bookmark.el.